Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.apifacade.xbreeze
Class UbmXbrlMessages

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.apifacade.xbreeze.UbmXbrlMessages

All Implemented Interfaces:
  ubmatrix.xbrl.common.src.ISimpleProgressNotify

    public class UbmXbrlMessages

extends java.lang.Object
implements ubmatrix.xbrl.common.src.ISimpleProgressNotify

Clase: UbmXbrlMessages
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Constructor Summary
`UbmXbrlMessages()` Default constructor

Method Summary
`void` | `cancel()`
`void` | `clearMemoList()` This method is used to clear the arraylist of memos
`java.util.ArrayList<ubmatrix.xbrl.common.memo.src.IMemo>` | `getMemoList()` Accessor method - returns the list of memos generated during loading the file
`boolean` | `onProgress(java.lang.Object type, long rate, java.lang.Object[] parameters)`
`void` | `onStart(java.lang.Object type, long start, long stop, boolean cancelAllowed, java.lang.String message)`
`void` | `onStop(java.lang.Object type, java.lang.String message)`
`void` | `pause(boolean flag)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UbmXbrlMessages

    public UbmXbrlMessages()

  Default constructor

Method Detail

### getMemoList

    public java.util.ArrayList<ubmatrix.xbrl.common.memo.src.IMemo> getMemoList()

  Accessor method - returns the list of memos generated during loading the file

### clearMemoList

    public void clearMemoList()

  This method is used to clear the arraylist of memos

### cancel

    public void cancel()

  Specified by:
    `cancel` in interface `ubmatrix.xbrl.common.src.ISimpleProgressNotify`

### pause

    public void pause(boolean flag)

  Specified by:
    `pause` in interface `ubmatrix.xbrl.common.src.ISimpleProgressNotify`

### onStart

    public void onStart(java.lang.Object type,
                        long start,
                        long stop,
                        boolean cancelAllowed,
                        java.lang.String message)

  Specified by:
    `onStart` in interface `ubmatrix.xbrl.common.src.ISimpleProgressNotify`

### onProgress

    public boolean onProgress(java.lang.Object type,
                              long rate,
                              java.lang.Object[] parameters)

  Specified by:
    `onProgress` in interface `ubmatrix.xbrl.common.src.ISimpleProgressNotify`

### onStop

    public void onStop(java.lang.Object type,
                       java.lang.String message)

  Specified by:
    `onStop` in interface `ubmatrix.xbrl.common.src.ISimpleProgressNotify`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD